{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare subroutine forward_event\r\ndeclare function editcell, reactor_log_comm, get_eventstatus, fieldcount\r\n$insert react_servs_equ\r\n$insert react_serv_cat_equates\r\n$insert reactor_log_equates\r\n$insert react_prob_cat_equates\r\n\r\nequ TubeChangeService$      to 240 ;* HARD CODED MUST NOT CHANGE SERVICE 240 TO ANYTHING OR INACTIVATE\r\nequ LeakLampService$        to 188 ;* HARD CODED MUST NOT CHANGE SERVICE 188 TO ANYTHING OR INACTIVATE\r\n\r\n\r\n\r\nEQU COL$PROB_CAT\t\t\tTO 1\r\nEQU COL$PROB_CAT_DESC\t\tTO 2\r\nEQU COL$SERV_ID\t\t\t\tTO 3\r\nEQU COL$SERV_ID_DESC\t\tTO 4\r\nEQU COL$SCHED\t\t\t\tTO 5\r\nEQU COL$SN_REQ\t\t\t\tTO 6\r\nEQU COL$ITEM_ID\t\t\t\tTO 7\r\n\r\n\r\n\r\n\r\n\r\nforward_event( NextColumn, NextRow )\r\nisError = Get_EventStatus(eventcode)\r\nif isError then\r\n    return 0\r\nend else\r\n\r\n    CurServices = .serv_info->array<COL$SERV_ID>\r\n    \r\n **************** JLT    06/12/2001  *******************VVVVVVVVVVVV\r\n   TempVar = XLATE(\"REACT_SERVS\",CurServices,react_servs_req_arm_wand_data$,\"X\")\r\n   TempVar = Sum(TempVar)\r\n   If TempVar Then\r\n     .aw_button->visible = 1\r\n   end\telse\r\n     .aw_button->visible = 0\r\n   end\r\n**************** JLT    06/12/2001  *********************^^^^^^^^^^    \r\n\r\n\tCurArray = .serv_info->array    \r\n    \r\n\t\r\n\t*Void = reactor_log_comm('ITEM_SN_CHECK')\t\t11/21/2013 JCH & DKK\r\n\t\r\n\tVoid = reactor_log_comm( \"CHECK_SERVICES\" )\r\nend\r\nRETURN 0\r\n"
        }
    }
}